- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Data Fields
_Elm_Button_Smart_Data Struct Reference
Widgets Extension Infrastructure

Base widget smart data extended with button instance data. More...

## Data Fields
double | ar_threshold
| Time to wait until first auto-repeated click is generated.
double | ar_interval
| Time frame for subsequent auto-repeated clicks, after the first automatic one is triggerred.
Ecore_Timer * | timer
| Internal timer object for auto-repeat behavior.
Eina_Bool | autorepeat: 1
| Whether auto-repetition of clicks is enabled or not (bound to _Elm_Button_Smart_Class::admits_autorepeat)
Eina_Bool | repeating: 1
| Whether auto-repetition is going on.

## Detailed Description

Base widget smart data extended with button instance data.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:15